%define debug_package %{nil}
%define family drakx-installer

Summary:	DrakX binaries
Name:		drakx-installer-binaries
Version:	2.0
Release:	4
License:	GPLv2+
Group:		Development/Other
Url:		http://wiki.mandriva.com/Tools/DrakX
Source0:	%{name}-%{version}.tar.xz
Patch0:		kmod-log.diff
Patch1:		rosa-kmod-build-fix.patch
Patch2:		drakx-installer-binaries-2.0-tirpc.patch
Patch3:		drakx-installer-binaries-2.0-fix-lib-deps.patch

BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	hwdata
# Seems to be really needed
BuildRequires:	kernel
BuildRequires:	ldetect-lst >= 0.1.222
BuildRequires:	ldetect-lst-devel
BuildRequires:	ldetect-devel >= 0.9.1
BuildRequires:	slang-static-devel
BuildRequires:	sysfsutils-devel
BuildRequires:	pkgconfig(libkmod)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libnewt)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(zlib)
#- not requiring the same version otherwise releasing drakx-installer-images takes a day
#- (restore this when the build system can build a pack of packages)
Requires:	ldetect-lst
%rename		%{name}-probe

%description
Binaries needed to build the ROSA Linux installer (DrakX).

%files
%doc mdk-stage1/NEWS
%dir %{_libdir}/%{family}
%dir %{_libdir}/%{family}/binaries
%{_libdir}/%{family}/binaries/stage1
%{_libdir}/%{family}/binaries/rescue-gui
%{_libdir}/%{family}/binaries/dhcp-client
#{_libdir}/%{family}/binaries/drvinst
#{_libdir}/%{family}/binaries/lspcidrake
%{_libdir}/%{family}/binaries/pcmcia_probe.o
%{_libdir}/%{family}/binaries/probe-modules
%{_libdir}/%{family}/binaries/init

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
make -C mdk-stage1

%install
cd mdk-stage1
dest=%{buildroot}%{_libdir}/%{family}/binaries
mkdir -p $dest
install init stage1 rescue-gui dhcp-client probe-modules $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi


%changelog
* Wed Sep 17 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 2.0-4
+ Revision: 69b0403
- Fixed make prereqs that included -lz, -lresolv, etc.


